/*
 *  WebCachedRowSet.java
 *
 *  $Id: WebCachedRowSet.java,v 1.1 2002/11/14 11:29:42 source Exp $
 *
 *  Sample JDBC program
 *
 *  (C)Copyright 2002 OpenLink Software.
 *  All Rights Reserved.
 *
 *  The copyright above and this notice must be preserved in all
 *  copies of this source code.  The copyright above does not
 *  evidence any actual or intended publication of this source code.
 *
 *  This is unpublished proprietary trade secret of OpenLink Software.
 *  This source code may not be copied, disclosed, distributed, demonstrated
 *  or licensed except as authorized by OpenLink Software.
 */

import java.awt.*;
import java.applet.*;

public class WebCachedRowSet extends Applet 
{

  public void init() 
  {
    super.init();
    String theServer = getCodeBase().getHost();
    String sNumParams = getParameter("numParams");
    int numParams = 0;
    String[] params;
    if (sNumParams != null)
      numParams = Integer.parseInt(sNumParams);
    System.out.println("numParams = "+numParams);
    params = new String[numParams];
    for (int i = 0; i < numParams; i++)
    {
      params[i] = "jdbc:openlink://"+theServer+"/"+getParameter("URL"+Integer.toString(i+1));
      System.out.println("Param"+i+" = "+params[i]);
    }
    CachedRowSet jd;
    try 
    {
      jd = new CachedRowSet(params, true);
      jd.show();
    }
    catch (Exception e)
    {
      showStatus(e.toString());
    }
  }
}
